TableFunction (Snowpark Java API Reference 1.19.1)

Package com.snowflake.snowpark_java

## Class TableFunction

- java.lang.Object
- - com.snowflake.snowpark_java.TableFunction

-     public class TableFunction
      extends java.lang.Object

  Looks up table functions by funcName and returns tableFunction object which can be used in `DataFrame.join` and `Session.tableFunction` methods.

  It can reference both system-defined table function and user-defined table functions.

  Since:
    1.2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableFunction​(java.lang.String funcName)` | Create a new table function reference.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Column` | `call​(Column... args)` | Create a Column reference by passing arguments in the TableFunction object.
    `Column` | `call​(java.util.Map<java.lang.String,​Column> args)` | Create a Column reference by passing arguments in the TableFunction object.
    `java.lang.String` | `funcName()` | Returns the function name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableFunction

          public TableFunction​(java.lang.String funcName)

      Create a new table function reference.
      Parameters:
        `funcName` - A string function name.
      Since:
        1.2.0

  - ### Method Detail

    - #### funcName

          public java.lang.String funcName()

      Returns the function name.
      Returns:
        A string function name.
      Since:
        1.4.0

    - #### call

          public Column call​(Column... args)

      Create a Column reference by passing arguments in the TableFunction object.
      Parameters:
        `args` - A list of Column objects representing the arguments of the given table function
      Returns:
        A Column reference
      Since:
        1.10.0

    - #### call

          public Column call​(java.util.Map<java.lang.String,​Column> args)

      Create a Column reference by passing arguments in the TableFunction object.
      Parameters:
        `args` - function arguments map of the given table function. Some functions, like flatten, have named parameters. use this map to assign values to the corresponding parameters.
      Returns:
        A Column reference
      Since:
        1.10.0